Skip to main content
cancel
Showing results for 
Search instead for 
Did you mean: 

We've captured the moments from FabCon & SQLCon that everyone is talking about, and we are bringing them to the community, live and on-demand. Starts on April 14th. Register now

Reply
jaryszek
Resident Rockstar
Resident Rockstar

How to publish pbix report using REST API 2.0?

Hi Guys,

when publishing to the workspace without folder I was using this API:

 

@groupId = {{getGroups.response.body.$.value[0].id}}

POST https://api.powerbi.com/v1.0/myorg/groups/{{groupId}}/imports?datasetDisplayName={{fileDisplayName}}&nameConflict=CreateOrOverwrite
Authorization: Bearer {{$aadV2Token appOnly}}
Content-Type: multipart/form-data; boundary=MfnBoundry

--MfnBoundry
Content-Disposition: form-data; name="files"; filename="{{filename}}"
Content-Type: application/octet-stream

< ./{{filename}}
--MfnBoundry--

 

Now there is new a way of publish report using rest api 2.0:

https://learn.microsoft.com/en-us/rest/api/power-bi-report/power-bi-reports/upload-power-bi-report 

I am trying with:

@groupId = {{getGroups.response.body.$.value[0].id}}

POST https://api.powerbi.com/v2.0/myorg/groups/{{groupId}}/PowerBIreports(path='/RES-255/Vncm')/Model.Upload
Authorization: Bearer {{$aadV2Token appOnly}}
Content-Type: multipart/form-data; boundary=MfnBoundry

--MfnBoundry
Content-Disposition: form-data; name="files"; filename="{{filename}}"
Content-Type: application/octet-stream

< ./{{filename}}
 --MfnBoundry--

where RES-255 is my folder and "Vncm" is my report name. 

But I am getting 404 expection.
How to make this proper? 
Using Visual Studio Code and REST API extension. 

Best,
Jacek

 

1 ACCEPTED SOLUTION
lbendlin
Super User
Super User

Please keep in mind that the new method is uploading the report into a holding area (Azure Blob storage) and not associating it to a workspace yet.

View solution in original post

2 REPLIES 2
lbendlin
Super User
Super User

Please keep in mind that the new method is uploading the report into a holding area (Azure Blob storage) and not associating it to a workspace yet.

thanks! 


Helpful resources

Announcements
New to Fabric survey Carousel

New to Fabric Survey

If you have recently started exploring Fabric, we'd love to hear how it's going. Your feedback can help with product improvements.

Power BI DataViz World Championships carousel

Power BI DataViz World Championships - June 2026

A new Power BI DataViz World Championship is coming this June! Don't miss out on submitting your entry.

Join our Fabric User Panel

Join our Fabric User Panel

Share feedback directly with Fabric product managers, participate in targeted research studies and influence the Fabric roadmap.

March Power BI Update Carousel

Power BI Community Update - March 2026

Check out the March 2026 Power BI update to learn about new features.